commit 6096b50a869de851b710262dcc479f61e68c1bc7
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Tue Nov 18 18:11:10 2025 +0000

    dmarc-native: fix rua/ruf verify

diff --git a/src/src/miscmods/dmarc_common.c b/src/src/miscmods/dmarc_common.c
index 059b31167..d6e27c892 100644
--- a/src/src/miscmods/dmarc_common.c
+++ b/src/src/miscmods/dmarc_common.c
@@ -11,9 +11,6 @@
 
 #ifdef EXIM_HAVE_DMARC
 
-// #  include "dmarc.h"
-// #  include "pdkim.h"
-
 extern BOOL		dmarc_local_init(void);
 extern void		dmarc_local_msg_init(void);
 extern gstring *	dmarc_version_report(gstring *);
diff --git a/src/src/miscmods/dmarc_native.c b/src/src/miscmods/dmarc_native.c
index 617517d84..d073e4274 100644
--- a/src/src/miscmods/dmarc_native.c
+++ b/src/src/miscmods/dmarc_native.c
@@ -43,7 +43,7 @@ if (!dmarc_regex_uri)
   dmarc_regex_uri = regex_must_compile(US "^mailto:[^@]+@[^ !]+(?:[ !]|$)",
 							MCS_CACHEABLE, FALSE);
 if (!dmarc_regex_pct)
-  dmarc_regex_uri = regex_must_compile(US "^\\d{1,3}$",  MCS_CACHEABLE, FALSE);
+  dmarc_regex_pct = regex_must_compile(US "^\\d{1,3}$",  MCS_CACHEABLE, FALSE);
 if (!dmarc_regex_ri)
   dmarc_regex_ri =  regex_must_compile(US "^\\d{1,10}$", MCS_CACHEABLE, FALSE);
 if (!dmarc_regex_fo)
@@ -56,13 +56,6 @@ if (!dmarc_regex_fo)
 gstring *
 dmarc_version_report(gstring * g)
 {
-/*
-return string_fmt_append(g, "Library version: dmarc: Compile: %d.%d.%d.%d\n",
-    (OPENDMARC_LIB_VERSION & 0xff000000) >> 24,
-    (OPENDMARC_LIB_VERSION & 0x00ff0000) >> 16,
-    (OPENDMARC_LIB_VERSION & 0x0000ff00) >> 8,
-    (OPENDMARC_LIB_VERSION & 0x000000ff));
-*/
 return string_fmt_append(g, "Library version: dmarc: Exim %s builtin\n",
 			    EXIM_VERSION_STR);
 }

